Skip to Content
0
Former Member
Jul 28, 2006 at 12:00 AM

JSPM error in NW2004s SR1 installation

26 Views

Hi,

I have just freshly installed NW2004s Application Server SR1. Then I tried to run JSPM to patch it up. When logging onto SDM as the first screen in JSPM, I got the following error:

The execution ended in error.

com.sap.sdt.util.diag.DevelopmentSupportRequiredException: Assertion failed for (Could not parse version string content. For input string: "${SP-Patchlevel}") at com.sap.sdt.util.diag.SDT.check(SDT.java:36).

More information can be found in the log file C:\usr\sap\JAV\JC01\j2ee\JSPM\log\log_20060727155309\JSPM_PROCESS_1_01.LOG.

When I looked at the JSPM_PROCESS_1_01.log, I found the followings at the bottom of the log:

#1.5#C000C0A801650000000000AE0037FB1E000419908952E9A0#1154008476740#/System/Server/Upgrade/Phases/JSPM/JSPMPhases/JSPM_PROCESS##com.sap.sdt.ucp.phases.AbstractPhaseType.cleanup(AbstractPhaseType.java:796)#######Thread[main,5,main]##0#0#Info#1#com.sap.sdt.ucp.phases.AbstractPhaseType.cleanup(AbstractPhaseType.java:796)#Java###Phase status is .#1#aborted#

I've already had my JAVA_HOME and PATH set already, and they both point to the same JDK (which is the only JDK I have in the machine). SDM doesn't seem to have problems as I can logon with the remoteGUI in SDM. Does anyone have any idea what's wrong or what I'm missing?

Thanks,

Marc